---
title: "Retrieve Discount - Customer"
source_url: https://docs.rapyd.net/en/retrieve-discount---customer.html
lang: en
---

# Retrieve Discount - Customer

Retrieve a discount applied to a specific customer.

### Parameters

### Request Path Parameters

- - discount
  - ID of the discount. String starting with **dis_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - coupon
  - ID of the coupon on which the discount is based. For details about the fields of the 'coupon' object, see [Create Coupon](https://docs.rapyd.net/en/create-coupon.md "Create Coupon").
- - customer
  - ID of the customer that the discount applies to. String starting with **cus_**.
- - discount
  - ID of the discount. String starting with **dis_**.
- - end
  - The final time that a discount can be used, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time"). When the value is **-1**, the discount never expires.
- - id
  - ID of the discount. String starting with **dis_**.
- - number_of_uses
  - The number of times that the discount was used for this customer. The initial value is **0**. The value is incremented by 1 each time that the discount is used.
- - start
  - The time that the discount was created, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - valid
  - Indicates whether the discount can be used.

- /v1/customers/discount/:discount

- Retrieve Discount - Customer
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/customers/discount/dis_d41d8cd98f00b204e9800998ecf8427e' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "75105366-aa7d-4273-910e-cc5ec0da06ca"
      },
      "data": {
          "id": "dis_d41d8cd98f00b204e9800998ecf8427e",
          "coupon": {
              "id": "coupon_bf6bf01a874652f2021ef58abe981b11",
              "amount_off": 1,
              "created": 1648623332,
              "currency": "USD",
              "duration": "repeating",
              "duration_in_months": 1,
              "max_redemptions": 1,
              "metadata": {
                  "merchant_defined": true
              },
              "percent_off": 0,
              "redeem_by": 0,
              "times_redeemed": 1,
              "discount_valid_until": 0,
              "discount_validity_in_months": 0,
              "discount_duration_in_uses": 1,
              "description": "",
              "valid": false
          },
          "customer": "cus_9a4fc494de92aed2fc40b01d828b0b46",
          "end": -1,
          "start": 1648623586,
          "number_of_uses": 0,
          "valid": true
      }
  }
  ```
